main .banner-container h1 {
  width: 50rem;
  left: calc(50% - 10rem);
}

main .main-container {
  display: flex;
  width: 100%;
  max-width: 1000px;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
}

main .main-container h2 {
  width: 100%;
  color: #333;
  text-transform: uppercase;
  font-size: 1.4rem;
}

main .main-container .container {
  display: grid;
  grid-template-columns: repeat(3, max-content);
  gap: 2rem;
  row-gap: 3rem;
}

main .main-container .container .box {
  width: 20rem;
  padding: 2rem 1rem;
  display: flex;
  align-items: center;
  border-radius: 1rem;
  flex-direction: column;
  gap: 1rem;
  background-color: #fff;
}

main .main-container .container .box h3 {
  color: #333;
  text-align: center;
}

main .main-container .container .box p {
  text-align: center;
  width: 100%;
  font-size: 1rem;
  color: #333;
  font-weight: 400;
}

main .main-container .container .box .icone {
  width: 7rem;
  aspect-ratio: 1;
  background-color: #5dade2;

  &.marketing {
    mask: url("../assets/marketing.png");
    mask-size: cover;
  }

  &.justica {
    mask: url("../assets/justica.png");
    mask-size: cover;
  }

  &.pessoas {
    mask: url("../assets/pessoas.png");
    mask-size: cover;
  }

  &.financeiro {
    mask: url("../assets/financeiro.png");
    mask-size: cover;
  }

  &.vistoria {
    mask: url("../assets/vistoria.png");
    mask-size: cover;
  }

  &.atendimento {
    mask: url("../assets/atendimento.png");
    mask-size: cover;
  }
}

main .main-container .question {
  width: 100%;
  text-align: center;
  font-size: 1.5rem;
  margin-top: 2rem;
}

main .main-container .ad {
  display: flex;
  justify-content: space-between;
  font-size: 1.2rem;
  background-color: #5dade2;
  color: #f3f3f3;
  padding: 1rem 1.25rem;
  gap: 0.75rem;
  border-radius: 0.4rem;
  width: fit-content;
}

main .main-container .ad .ad-text::before {
  content: "Fale conosco para uma avaliação gratuita";
}

main .main-container .ad span {
  width: 1rem;
  aspect-ratio: 1;
  rotate: 315deg;
  background-color: #fefefeee;
  mask: url("../assets/arrowLeft.png");
  mask-size: cover;
  mask-repeat: no-repeat;
}

main .main-container .ad span:nth-child(1) {
  rotate: 225deg;
}

form {
  display: flex;
  width: 30rem;
  flex-direction: column;
  gap: 1.5rem;
}

form .nameBox,
form .sobreBox {
  position: relative;
}

form .nameBox label,
form .sobreBox label {
  position: absolute;
  top: 0;
  left: 1rem;
  color: #5dade2;
  padding-inline: .5rem;
  background-color: #fefefe;
  transform: translateY(-50%);
}

form input {
  width: 100%;
  font-size: 1rem;
  background-color: #fefefe;
  border: 1px solid #5dade2;
  border-radius: 0.2rem;
  padding: 1.2rem;
}

form textarea {
  width: 100%;
  font-size: 1rem;
  background-color: #fefefe;
  border: 1px solid #5dade2;
  border-radius: 0.2rem;
  resize: none;
  padding: 1rem;
}

form button {
  border: 0;
  background-color: #5dade2;
  color: #f3f3f3;
  font-size: 1rem;
  padding: 1rem;
  cursor: pointer;
  text-transform: uppercase;
  display: flex;
  gap: 1rem;
  justify-content: center;
  align-items: center;
  transition: all 0.25s;
  border-radius: 0.2rem;
  font-weight: 600;
  position: relative;
  overflow: hidden;

  &::after {
    content: "";
    display: block;
    background-color: #f3f3f3;
    width: 1rem;
    aspect-ratio: 1;
    transition: all .5s;
    position: absolute;
    left: -2rem;
    opacity: 0;
    scale: 0;
    z-index: 3;
    mask-image: url("../assets/enviar.png");
    mask-size: cover;
  }

  &:hover::after {
    scale: 1.2;
    left: calc(50% + 3rem);
    opacity: 1;
    scale: 1;
  }

  &:hover::before {
    content: "";
    position: absolute;
    height: 200%;
    left: -3rem;
    top: -50%;
    width: 2rem;
    rotate: 20deg;
    background-color: #eaecef75;
    color: #5dade2;
    animation: hover 1.3s;
  }

  &:active {
    box-shadow: 0 0 0 0.2rem #5dade2;
  }
}

@keyframes hover {
  0% {
    left: -3rem;
  }

  75% {
    left: 110%;
  }

  100% {
    left: 110%;
    opacity: 0;
  }
}

.question,
.ad,
form,
.main-container .box {
  opacity: 0;
  transform: translateY(15%) !important;
  transition: all .5s;
}

main .main-container .box.left {
  transform: translateY(15%) translateX(-15%) !important;
}

main .main-container .box.right {
  transform: translateY(15%) translateX(15%) !important;
}

.question.visivel,
.ad.visivel,
form.visivel,
.main-container .box.visivel,
.main-container .box.left.visivel,
.main-container .box.right.visivel {
  opacity: 1;
  transform: translateX(0) translateY(0) !important;
}

@media screen and (width <=1000px) {
  main .main-container .container .box.left {
    transform: none;
  }

  main .main-container .container .box.right {
    transform: none;
  }

  main .main-container .container {
    grid-template-columns: repeat(2, max-content);
  }

  main .main-container h2 {
    padding-inline: 2rem;
  }
}

@media screen and (width <=900px) {
  main .main-container h2 {
    font-size: 1.1rem;
  }

  main .main-container .container {
    width: 100%;
  }

  main .main-container .container {
    grid-template-columns: repeat(1, max-content);
    justify-content: center;
    row-gap: 2rem;
  }

  main .main-container .container .box {
    width: 100%;
  }

  main .main-container .container .box p {
    width: calc(100vw - 6rem);
  }

  .question,
  .ad,
  input,
  textarea,
  button,
  .main-container .box {
    transform: none;
    opacity: 1;
  }

  main .main-container .box,
  main .main-container .box.left,
  main .main-container .box.right,
  .ad,
  .question,
  form {
    animation: none;
    opacity: 0;
    transform: translate(0) rotate(0) translateY(20%) translateX(0) !important;
    transition: all .5s;
  }

  .main-container .box:nth-child(odd) {
    transform: translate(0) rotate(0) translateY(20%) translateX(0) !important;
  }

  .main-container .box.visivel,
  .ad.visivel,
  .question.visivel,
  form.visivel {
    transform: translate(0) rotate(0) translateY(0) translateX(0) !important;
  }

  main .main-container .ad {
    width: calc(100% - 3rem) !important;
    text-align: center;
  }

  main .main-container .ad .ad-text::before {
    content: "Fale conosco";
  }

  form {
    width: 100%;
    padding-inline: 1.5rem;
  }
}